# Enum Class MeetOrSlice

java.lang.Object
java.lang.Enum<MeetOrSlice>
org.jfree.svg.MeetOrSlice

All Implemented Interfaces:
  `Serializable, Comparable<MeetOrSlice>, Constable`

public enum MeetOrSlice extends Enum<MeetOrSlice>
An enumeration of the values for the `meetOrSlice` attribute.

Since:
  3.2

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`MEET`
Value 'meet'.
`SLICE`
Value 'slice'.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static MeetOrSlice`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MeetOrSlice[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MEET

public static final MeetOrSlice MEET
Value 'meet'.

### SLICE

public static final MeetOrSlice SLICE
Value 'slice'.

## Method Details

### values

public static MeetOrSlice[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MeetOrSlice valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<MeetOrSlice>`